from elisa.core.tests.component_test_case import ComponentTestCase
from elisa.plugins.xmlmenu.actions.spawn_process_action import SpawnProcessAction

class TestSpawnProcessAction(ComponentTestCase):

    component_class = SpawnProcessAction

    def test_running(self):

        self.component.executable = 'ls /tmp'
        self.component(self)
        dfr = self.component.deferred
        def done(result):
            return True
        dfr.addBoth(done)

        return dfr

